For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
    • File Metadata
    • Add Ons
      • GETDocument info
      • POSTConvert document
      • GETDocument conversion job status
      • POSTConvert video
      • GETVideo conversion job status
    • Changelog
    • Versioning
  • URL API
    • File Information
    • File Names
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIConversion

Document info

GET
https://api.uploadcare.com/convert/document/:uuid/
GET
/convert/document/:uuid/
$curl -X GET "https://api.uploadcare.com/convert/document/UUID/" \
> -H "Content-Type: application/json" \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: Uploadcare.Simple YOUR_PUBLIC_KEY:YOUR_SECRET_KEY"
1{
2 "error": null,
3 "format": {
4 "name": "txt",
5 "conversion_formats": [
6 {
7 "name": "epub"
8 },
9 {
10 "name": "pdf"
11 }
12 ]
13 },
14 "converted_groups": {
15 "pdf": "49732da8-1530-470c-8743-998c4c634718~5"
16 }
17}
The endpoint allows you to determine the document format and possible conversion formats.
Was this page helpful?
Previous

Convert document

Next
Built with

Authentication

Authorizationstring
Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

Path parameters

uuidstringRequired
File uuid.

Headers

AcceptstringRequired
Version header.

Response

Success.
errorstring or null
Holds an error if your document can't be handled.
formatobject
Document format details.
converted_groupsobject
Information about already converted groups.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.